The Transactions Connect API allows sellers to view and accept shipping requests, which initiates the shipping transaction. You can then track the transaction status until the buyer receives the item.
Transactions Connect API (0.0.1)
Download OpenAPI description
Languages
Servers
Production
https://connect.wallapop.com
- Productionhttps://connect.wallapop.com/disputes/{disputeId}
curl -i -X GET \
'https://connect.wallapop.com/disputes/{disputeId}' \
-H 'Authorization: Bearer <YOUR_TOKEN_HERE>'Successfully retrieved the dispute details.
The date and time when the dispute was created.
Example: "2024-06-10T12:34:56Z"
The reason why the dispute was escalated, if applicable.
Example: "Broken item."
The reason why the dispute was rejected, if applicable.
Example: "Evidence insufficient."
The type of dispute solution, such as refund or repair.
Enum"refund""repair"
Example: "refund"
Response
application/json
{ "id": "bf44bd9c-b9fc-4e63-ba48-78539979738a", "created_at": "2024-06-10T12:34:56Z", "description": "Item arrived damaged.", "transaction_id": "3e9wzv7zlmdr", "status": "pending", "photos": [ { "url": "https://cdn.wallapop.com/evidence/photo1.jpg", "thumbnail_url": "https://cdn.wallapop.com/evidence/photo1-thumb.jpg" } ], "videos": [ { "url": "https://cdn.wallapop.com/evidence/photo1.jpg", "thumbnail_url": "https://cdn.wallapop.com/evidence/photo1-thumb.jpg" } ], "escalated_reason": "Broken item.", "reject_reason": "Evidence insufficient.", "type": "refund", "check_deadline": "2024-06-15T23:59:59Z" }